.properties {
  min-height: 570px;
  padding-top: 4rem;
  padding-bottom: 4rem;
}

.properties__wrapper {
  position: relative;
  width: calc(100% - 4rem);
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
  padding-left: 366px;
  display: grid;
  grid-gap: 1rem;
  grid-template-columns: 1fr;
}

.properties__open {
  cursor: pointer;
  height: 36px;
  width: 100%;
  display: none;
  font-size: 1rem;
  border: none;
  border-radius: 6px;
  color: #ffffff;
  background-color: #45b54d;
  -webkit-box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.2);
  box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.2);
}

.properties__aside {
  position: absolute;
  top: 0;
  left: 0;
  height: -webkit-max-content;
  height: -moz-max-content;
  height: max-content;
  width: 350px;
  padding: 1rem;
  border-radius: 6px;
  background-color: #ffffff;
  -webkit-box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.2);
  box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.2);
}

.properties__aside h3 {
  margin-bottom: 2rem;
  color: #0e6bb4;
}

.properties__aside.active {
  visibility: visible;
  opacity: 1;
}

.properties__close {
  cursor: pointer;
  margin-bottom: 2rem;
  display: none;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  border: none;
  background-color: transparent;
}

.properties__close svg {
  height: 30px;
  width: 30px;
  fill: #45b54d;
}

.properties__select {
  position: relative;
  margin-bottom: 1rem;
}

.properties__select label span {
  height: 24px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  margin-bottom: 0.2rem;
  color: #0e6bb4;
}

.properties__select label select {
  cursor: pointer;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  outline: none;
  height: 36px;
  width: 100%;
  padding-left: 1rem;
  padding-right: 1rem;
  font-size: 1rem;
  border: 1px solid rgba(0, 0, 0, 0.1);
  border-radius: 6px;
}

.properties__select::after {
  content: "";
  position: absolute;
  top: calc(14px + (24px + 0.2rem));
  right: 1rem;
  width: 0;
  height: 0;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-top: 8px solid #45b54d;
}

.properties__button {
  cursor: pointer;
  height: 36px;
  width: 100%;
  font-size: 1rem;
  border: none;
  border-radius: 6px;
  color: #ffffff;
  background-color: #45b54d;
  -webkit-box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.2);
  box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.2);
}

@media (max-width: 992px) {
  .properties {
    min-height: auto;
    padding-top: 2rem;
    padding-bottom: 2rem;
  }

  .properties__wrapper {
    width: calc(100% - 2rem);
    padding-left: 0;
    grid-template-columns: 1fr;
  }

  .properties__open {
    display: block;
    position: sticky;
    top: 60px;
    z-index: 2000;
    margin-bottom: 1rem;
    padding: 0.5rem 1rem;
  }

  .properties__aside {
    position: fixed;
    z-index: 5000;
    left: 0;
    top: 0;
    height: 100vh;
    width: 100%;
    visibility: hidden;
    opacity: 0;
    border-radius: 0;
    -webkit-transition: all 0.5s;
    -o-transition: all 0.5s;
    transition: all 0.5s;
    background-color: #ffffff;
    -webkit-box-shadow: none;
    box-shadow: none;
  }

  .properties__close {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
  }
}


.departments {
  padding-top: 0px;
  padding-bottom: 6rem;
}

.departments__boxes {
  display: grid;
  grid-gap: 1rem;
  grid-template-rows: 1fr;
  grid-template-columns: repeat(3, 1fr);
}

@media (max-width: 1200px) {
  .departments__boxes {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 992px) {
  .departments__boxes {
    grid-template-columns: repeat(4, 1fr);
  }
}

@media (max-width: 768px) {
  .departments__boxes {
    grid-gap: 1rem;
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (max-width: 576px) {
  .departments__boxes {
    grid-template-columns: repeat(1, 1fr);
  }
}

.departments__box {
  position: relative;
  border-radius: 6px;
  background-color: #ffffff;
  overflow: hidden;
  -webkit-box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.2);
  box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.2);
}

.departments__title {
  position: absolute;
  z-index: 1;
  padding: 1rem;
  background-color: rgba(14, 107, 180, 0.6);
  width: 100%;
}

.departments__title h3 {
  font-size: 1rem;
  color: white;
}

.departments__image {
  position: relative;
  height: 300px;
  width: 100%;
}

.departments__image img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
}

@media (max-width: 768px) {
  .departments__image {
    height: 250px;
  }
}

.departments__arrow {
  cursor: pointer;
  outline: none;
  position: absolute;
  z-index: 2;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  height: 40px;
  width: 40px;
  display: none;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  border: none;
  border-radius: 50%;
  background-color: rgba(255, 255, 255, 0.8);
}

.departments__arrow svg {
  height: 20px;
  -webkit-transition: all 0.5s;
  -o-transition: all 0.5s;
  transition: all 0.5s;
  opacity: 0.5;
  fill: #0e6bb4;
}

.departments__arrow--left {
  left: 1rem;
}

.departments__arrow--right {
  right: 1rem;
}

.departments__arrow.active {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.departments__caption {
  padding: 1rem;
}

.departments__description {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
}

.departments__description:not(:last-child) {
  margin-bottom: 1rem;
}

.departments__description span {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

.departments__description span img {
  height: 30px;
  width: 30px;
  margin-right: 1rem;
}

.departments__description span p {
  font-size: 1rem;
}

.departments__description b {
  text-align: right;
  color: #0e6bb4;
}